#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: abstract-deque
version: 0.3
id: abstract-deque-0.3-ef70d973207a93964a9f030ac1073f3a

license: BSD3
copyright:
maintainer: rrnewton@gmail.com
stability:
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
package-url:
synopsis: Abstract, parameterized interface to mutable Deques.
description: An abstract interface to highly-parameterizable queues/deques.
             .
             Background: There exists a feature space for queues that extends between:
             .
             * simple, single-ended, non-concurrent, bounded queues
             .
             * double-ended, threadsafe, growable queues
             .
             ... with important points inbetween (such as
             the queues used for work-stealing).
             .
             This package includes an interface for Deques that allows the
             programmer to use a single API for all of the above, while using the
             type-system to select an efficient implementation given the
             requirements (using type families).
             .
             This package also includes a simple reference implementation based
             on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules: Data.Concurrent.Deque.Class
                 Data.Concurrent.Deque.Reference
                 Data.Concurrent.Deque.Reference.DequeInstance
                 Data.Concurrent.Deque.Debugger
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/abstract-deque-0.3
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/abstract-deque-0.3
              /usr/local/lib
hs-libraries: HSabstract-deque-0.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.5.0.0-98aa445e59f3eb0c886795ff07406d84
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         random-1.0.1.1-ea125bb357de39b1f8403eb83fa4e9c7
         time-1.4.2-9927ada6d5503e0b70e51a11902c8b61
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/abstract-deque-0.3/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/abstract-deque-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
